newsfilter
Subscriptions

Get subscriptions

GET
/v1/subscriptions/{app}

An app's ticker list and its revision.

Authorization

apiKey
headerAuthorizationBearer <token>

Path Parameters

app*string

Response Body

The current ticker list

application/json
  1. response
app*string

Your app id.

revision*integer

Goes up by one each time the list changes.

Range0 <= value
tickers*array<>

The tickers, sorted.

Example Request
curl -X GET 'https://api.newsfilter.dev/v1/subscriptions/string'
Example Response
{  "app": "string",  "revision": 3,  "tickers": [    "ACME"  ]}